Skip to navigation

Grant Git Credential

View as Markdown
Let an agent use a git credential for its declared repos.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired
credential_idstringRequired

Request

This endpoint expects an object.
agentIdstringRequired<=128 characters

Response

Successful Response
agentIdstring or null
createdAtdouble
grantslist of strings
hoststring
idstring

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error